/*******************************************************************************
 * Size: 16 px
 * Bpp: 4
 * Opts:
 ******************************************************************************/
#ifdef ARDUINO_FUNHOUSE_ESP32S2
#ifdef LV_LVGL_H_INCLUDE_SIMPLE
#include "lvgl.h"
#else
#include <lvgl.h>
#endif

#ifndef TURTLE_16
#define TURTLE_16 1
#endif

#if TURTLE_16

/*-----------------
 *    BITMAPS
 *----------------*/

/*Store the image of the glyphs*/
static LV_ATTRIBUTE_LARGE_CONST const uint8_t glyph_bitmap[] = {
    /* U+F726 "" */
    0x0,  0x1,  0x9c, 0xfc, 0x91, 0x0,  0x0,  0x0,  0x0,  0x0,  0x4e, 0xff,
    0xff, 0xfe, 0x30, 0x0,  0x0,  0x0,  0x1,  0xef, 0xff, 0xff, 0xff, 0xe1,
    0x8,  0x86, 0x10, 0x9,  0xff, 0xff, 0xff, 0xff, 0xf9, 0xf,  0xff, 0xe3,
    0xc,  0xff, 0xff, 0xff, 0xff, 0xfc, 0xf,  0xff, 0xfc, 0xf,  0xff, 0xff,
    0xff, 0xff, 0xff, 0xf,  0xf8, 0xff, 0xf,  0xff, 0xff, 0xff, 0xff, 0xff,
    0xf,  0xff, 0xff, 0xf,  0xff, 0xff, 0xff, 0xff, 0xff, 0xf,  0xff, 0xff,
    0x0,  0x0,  0x0,  0x0,  0x0,  0x0,  0xf,  0xf0, 0x0,  0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xf0, 0x0,  0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xf0, 0x0,  0x0,  0xff, 0xff, 0xf,  0xff, 0xf0, 0x0,  0x0,  0x0,
    0x0,  0xff, 0xff, 0xf,  0xff, 0xf0, 0x0,  0x0,  0x0,  0x0,  0xff, 0xff,
    0xf,  0xff, 0xf0, 0x0,  0x0,  0x0};

/*---------------------
 *  GLYPH DESCRIPTION
 *--------------------*/

static const lv_font_fmt_txt_glyph_dsc_t glyph_dsc[] = {
    {.bitmap_index = 0,
     .adv_w = 0,
     .box_w = 0,
     .box_h = 0,
     .ofs_x = 0,
     .ofs_y = 0} /* id = 0 reserved */,
    {.bitmap_index = 0,
     .adv_w = 288,
     .box_w = 18,
     .box_h = 14,
     .ofs_x = 0,
     .ofs_y = -1}};

/*---------------------
 *  CHARACTER MAPPING
 *--------------------*/

/*Collect the unicode lists and glyph_id offsets*/
static const lv_font_fmt_txt_cmap_t cmaps[] = {
    {.range_start = 63270,
     .range_length = 1,
     .glyph_id_start = 1,
     .unicode_list = NULL,
     .glyph_id_ofs_list = NULL,
     .list_length = 0,
     .type = LV_FONT_FMT_TXT_CMAP_FORMAT0_TINY}};

/*--------------------
 *  ALL CUSTOM DATA
 *--------------------*/

#if LV_VERSION_CHECK(8, 0, 0)
/*Store all the custom data of the font*/
static lv_font_fmt_txt_glyph_cache_t cache;
static const lv_font_fmt_txt_dsc_t font_dsc = {
#else
static lv_font_fmt_txt_dsc_t font_dsc = {
#endif
    .glyph_bitmap = glyph_bitmap,
    .glyph_dsc = glyph_dsc,
    .cmaps = cmaps,
    .kern_dsc = NULL,
    .kern_scale = 0,
    .cmap_num = 1,
    .bpp = 4,
    .kern_classes = 0,
    .bitmap_format = 0,
#if LV_VERSION_CHECK(8, 0, 0)
    .cache = &cache
#endif
};

/*-----------------
 *  PUBLIC FONT
 *----------------*/

/*Initialize a public general font descriptor*/
#if LV_VERSION_CHECK(8, 0, 0)
const lv_font_t turtle_16 = {
#else
lv_font_t turtle_16 = {
#endif
    .get_glyph_dsc =
        lv_font_get_glyph_dsc_fmt_txt, /*Function pointer to get glyph's data*/
    .get_glyph_bitmap =
        lv_font_get_bitmap_fmt_txt, /*Function pointer to get glyph's bitmap*/
    .line_height = 14, /*The maximum line height required by the font*/
    .base_line = 1,    /*Baseline measured from the bottom of the line*/
#if !(LVGL_VERSION_MAJOR == 6 && LVGL_VERSION_MINOR == 0)
    .subpx = LV_FONT_SUBPX_NONE,
#endif
#if LV_VERSION_CHECK(7, 4, 0) || LVGL_VERSION_MAJOR >= 8
    .underline_position = 0,
    .underline_thickness = 0,
#endif
    .dsc = &font_dsc /*The custom font data. Will be accessed by
                        `get_glyph_bitmap/dsc` */
};

#endif /*#if TURTLE_16*/

#endif